Subject: bug#28959: 25.3; Tramp not honoring `tramp-backup-directory-alist'

From: "Matz, Daniel A. (JSC-EG511)" <[email-masked]>
Date: Thu, 26 Oct 2017 16:38:17 +0000

Michael,

I double checked my checkout, and it is recent and includes your commit.

For the tests, 43/58 does indeed pass.  Here’s the summary that prints at the end:

--8<---------------cut here---------------start------------->8---
Ran 58 tests, 54 results as expected, 1 unexpected, 3 skipped (2017-10-26 11:33:34-0500)
1 expected failures

1 unexpected results:
   FAILED  tramp-test30-environment-variables-and-port-numbers

3 skipped results:
  SKIPPED  tramp-test36-special-characters-with-stat
  SKIPPED  tramp-test37-utf8-with-stat
  SKIPPED  tramp-test38-file-system-info
--8<---------------cut here---------------end--------------->8---

The only other failure was 11/58 tramp-test05-expand-file-name-relative, which I suppose must be the expected failure that is mentioned.

Daniel

> On Oct 26, 2017, at 11:09 AM, Michael Albinus <[email-masked]> wrote:
> 
> "Matz, Daniel A. (JSC-EG511)" <[email-masked]> writes:
> 
>> Hi, Michael.
> 
> Hi Daniel,
> 
> [Pls keep [email-masked] in Cc, for the archives]
> 
>> I built the emacs-26 branch and started emacs with -Q, and
>> unfortunately the backup files are still being created on the remote
>> system, in the same directory as the file I am visiting.
>> 
>> Is there anything else I can do to help you debug this?
> 
> Could you pls check that your checkout is recent? It must contain
> 
> --8<---------------cut here---------------start------------->8---
> ~/src/emacs-26> git log
> commit 646e56e150ca08978d6ce736b12867b4958a0cd8 (HEAD -> emacs-26, origin/emacs-26)
> Author: Michael Albinus <[email-masked]>
> Date:   Thu Oct 26 16:24:28 2017 +0200
> 
>    Fix Bug#28959
> 
>    * lisp/net/tramp.el (tramp-handle-find-backup-file-name):
>    Use `tramp-tramp-file-p' rather than `tramp-file-name-p'.  Add
>    hop to backup file name.  (Bug#28959)
> --8<---------------cut here---------------end--------------->8---
> 
> Furthermore, you might run
> 
> --8<---------------cut here---------------start------------->8---
> ~/src/emacs-26> make -C test tramp-tests
> --8<---------------cut here---------------end--------------->8---
> 
> There are several Tramp tests; the most interesting is
> 
> --8<---------------cut here---------------start------------->8---
>   passed  43/58  tramp-test34-find-backup-file-name
> --8<---------------cut here---------------end--------------->8---
> 
> Do you see this?
> 
>> Thanks!
>> 
>> Daniel
> 
> Best regards, Michael.